diff -ur blt2.4m.orig/Makefile.in blt2.4m/Makefile.in
--- blt2.4m.orig/Makefile.in	Fri Oct  8 15:40:46 1999
+++ blt2.4m/Makefile.in	Mon Aug 28 17:19:39 2000
@@ -14,6 +14,8 @@
 includedir =	@includedir@
 libdir =	@libdir@
 
+instroot =
+
 instdirs =	$(prefix) $(exec_prefix) $(bindir) $(libdir) $(includedir)
 
 # ------------------------------------------------------------------------
@@ -43,9 +45,9 @@
 
 install-dirs:
 	@for i in $(instdirs) ; do \
-	    if test ! -d $$i ; then \
-		echo " mkdir $$i" ; \
-		mkdir $$i ; \
+	    if test ! -d $(instroot)$$i ; then \
+		echo " mkdir $(instroot)$$i" ; \
+		mkdir -p $(instroot)$$i ; \
 	    fi ; \
         done
 
diff -ur blt2.4m.orig/demos/Makefile.in blt2.4m/demos/Makefile.in
--- blt2.4m.orig/demos/Makefile.in	Tue Nov  2 03:49:42 1999
+++ blt2.4m/demos/Makefile.in	Mon Aug 28 17:38:08 2000
@@ -9,6 +9,8 @@
 destdir =	$(scriptdir)/demos
 srcdir =	@srcdir@
 
+instroot = 
+
 SHELL =		/bin/sh
 RM =		rm -rf
 INSTALL =	@INSTALL@
@@ -44,31 +46,31 @@
 
 inst-scripts: 
 	for i in $(srcdir)/scripts/*.tcl ; do \
-            $(INSTALL) $$i $(destdir)/scripts ; \
+            $(INSTALL) $$i $(instroot)$(destdir)/scripts ; \
 	done 
 	for i in $(demos) ; do \
-            $(INSTALL) $(srcdir)/$$i $(destdir)/$$i ; \
+            $(INSTALL) $(srcdir)/$$i $(instroot)$(destdir)/$$i ; \
 	done 
 
 inst-bitmaps: 
 	for i in $(srcdir)/bitmaps/*.xbm ; do \
-	    $(INSTALL_DATA) $$i $(destdir)/bitmaps ; \
+	    $(INSTALL_DATA) $$i $(instroot)$(destdir)/bitmaps ; \
 	done 
 	for i in $(srcdir)/bitmaps/hand/*.xbm ; do \
-	    $(INSTALL_DATA) $$i $(destdir)/bitmaps/hand ; \
+	    $(INSTALL_DATA) $$i $(instroot)$(destdir)/bitmaps/hand ; \
 	done 
 	for i in $(srcdir)/bitmaps/fish/*.xbm ; do \
-	    $(INSTALL_DATA) $$i $(destdir)/bitmaps/fish ; \
+	    $(INSTALL_DATA) $$i $(instroot)$(destdir)/bitmaps/fish ; \
 	done 
 
 inst-images: 
 	for i in $(srcdir)/images/*.gif $(srcdir)/images/*.ps ; do \
-	    $(INSTALL_DATA) $$i $(destdir)/images ; \
+	    $(INSTALL_DATA) $$i $(instroot)$(destdir)/images ; \
 	done 
 
 inst-dirs:
 	@for i in $(instdirs) ; do \
-	    if test -d "$$i" ; then : ; else mkdir "$$i" ; fi ; \
+	    if test -d "$(instroot)$$i" ; then : ; else mkdir -p "$(instroot)$$i" ; fi ; \
         done
 
 clean:
diff -ur blt2.4m.orig/library/Makefile.in blt2.4m/library/Makefile.in
--- blt2.4m.orig/library/Makefile.in	Tue Nov  2 03:49:42 1999
+++ blt2.4m/library/Makefile.in	Mon Aug 28 17:37:37 2000
@@ -7,6 +7,9 @@
 srcdir       = @srcdir@
 libdir       = $(exec_prefix)/lib
 scriptdir    = @BLT_LIBRARY@
+
+instroot     = 
+
 version      = @BLT_VERSION@
 AUX_LIBS     = @AUX_LIBS@
 
@@ -31,21 +34,21 @@
 
 mkdirs:
 	@for i in $(instdirs) ; do \
-	    if test -d $$i ; then : ; else mkdir $$i ; fi ; \
+	    if test -d $(instroot)$$i ; then : ; else mkdir -p $(instroot)$$i ; fi ; \
         done
 
 dragdrop: mkdirs
 	for i in $(ddFiles) ; do \
-	    $(INSTALL_DATA) $(srcdir)/dd_protocols/$$i $(scriptdir)/dd_protocols ; \
+	    $(INSTALL_DATA) $(srcdir)/dd_protocols/$$i $(instroot)$(scriptdir)/dd_protocols ; \
 	done 
 
 files: mkdirs
 	for i in $(miscFiles) ; do \
-	    $(INSTALL_DATA) $(srcdir)/$$i $(scriptdir) ; \
+	    $(INSTALL_DATA) $(srcdir)/$$i $(instroot)$(scriptdir) ; \
 	done 
 
 package: mkdirs pkgIndex.tcl
-	$(INSTALL_DATA) pkgIndex.tcl $(scriptdir)
+	$(INSTALL_DATA) pkgIndex.tcl $(instroot)$(scriptdir)
 
 pkgIndex: 
 	rm -f pkgIndex.tcl
diff -ur blt2.4m.orig/man/Makefile.in blt2.4m/man/Makefile.in
--- blt2.4m.orig/man/Makefile.in	Fri Oct  8 15:40:46 1999
+++ blt2.4m/man/Makefile.in	Mon Aug 28 17:17:06 2000
@@ -6,6 +6,9 @@
 mandir  	= @mandir@
 sectiondir 	= $(mandir)/mann
 srcdir		= @srcdir@
+
+instroot        = 
+
 version		= @BLT_VERSION@
 
 instdirs	= $(mandir) $(sectiondir)
@@ -27,13 +30,13 @@
 
 install-manuals: $(MANPAGES)
 	for i in $(MANPAGES) ; do \
-		$(INSTALL_DATA) $$i $(sectiondir); \
+		$(INSTALL_DATA) $$i $(instroot)$(sectiondir); \
 	done
 
 install-dirs:
 	@for i in $(instdirs) ; do \
-	    if test ! -d $$i ; then \
-		mkdir $$i ; \
+	    if test ! -d $(instroot)$$i ; then \
+		mkdir -p $(instroot)$$i ; \
 	    fi ; \
 	done
 
Only in blt2.4m/man: Makefile.in.destdir
diff -ur blt2.4m.orig/src/Makefile.in blt2.4m/src/Makefile.in
--- blt2.4m.orig/src/Makefile.in	Thu Nov  4 05:05:10 1999
+++ blt2.4m/src/Makefile.in	Mon Aug 28 17:40:50 2000
@@ -26,6 +26,8 @@
 prefix =	@prefix@
 srcdir =	@srcdir@
 
+instroot =
+
 instdirs =	$(prefix) $(exec_prefix) $(bindir) $(libdir) $(incdir)
 
 # ------------------------------------------------------------------------
@@ -105,26 +107,26 @@
 install: install_dirs install_lib install_demo install_headers
 
 install_demo: $(demo)
-	$(INSTALL) -m 0755 bltwish $(bindir)
+	$(INSTALL) -m 0755 bltwish $(instroot)$(bindir)
 
 install_lib: $(lib_a)
-	$(INSTALL_DATA) $(lib_a) $(libdir)/$(libvers_a)
-	(cd $(libdir); $(RM) $(lib_a) ; $(LN_S) $(libvers_a) $(lib_a))
-	$(RANLIB) $(libdir)/$(libvers_a)
+	$(INSTALL_DATA) $(lib_a) $(instroot)$(libdir)/$(libvers_a)
+	(cd $(instroot)$(libdir); $(RM) $(lib_a) ; $(LN_S) $(libvers_a) $(lib_a))
+	$(RANLIB) $(instroot)$(libdir)/$(libvers_a)
 	(cd shared; $(MAKE) install) 
 
 install_dirs:
 	@for i in $(instdirs) ; do \
-	    if test ! -d $$i ; then \
-		echo " mkdir $$i" ; \
-		mkdir $$i ; \
+	    if test ! -d $(instroot)$$i ; then \
+		echo " mkdir $(instroot)$$i" ; \
+		mkdir -p $(instroot)$$i ; \
 	    fi ; \
         done
 
 install_headers:
 	@for i in $(headers) ; do \
-	    echo "installing $(incdir)/$$i..." ; \
-	    $(INSTALL_DATA) -m 0444 $(srcdir)/$$i $(incdir) ; \
+	    echo "installing $(instroot)$(incdir)/$$i..." ; \
+	    $(INSTALL_DATA) -m 0444 $(srcdir)/$$i $(instroot)$(incdir) ; \
 	done
 
 lint:
diff -ur blt2.4m.orig/src/shared/Makefile.in blt2.4m/src/shared/Makefile.in
--- blt2.4m.orig/src/shared/Makefile.in	Tue Nov  2 03:49:42 1999
+++ blt2.4m/src/shared/Makefile.in	Mon Aug 28 17:41:12 2000
@@ -3,8 +3,8 @@
 # ------------------------------------------------------------------------
 
 SHLIB_SUFFIX =	@SHLIB_SUFFIX@
-version =	@BLT_MAJOR_VERSION@@BLT_MINOR_VERSION@
-lib_so =	libBLT$(version)$(SHLIB_SUFFIX)
+version =	@BLT_MAJOR_VERSION@.@BLT_MINOR_VERSION@
+lib_so =	libBLT$(SHLIB_SUFFIX).$(version)
 
 # ------------------------------------------------------------------------
 # 	C Compiler options 
@@ -26,6 +26,8 @@
 bindir =	$(exec_prefix)/bin
 srcdir =	@srcdir@/..
 
+instroot        = 
+
 instdirs =	$(exec_prefix) $(libdir) 
 
 scriptdir =	@BLT_LIBRARY@
@@ -77,20 +79,21 @@
 $(lib_so): $(OBJS)
 	$(RM) $@
 	$(SHLIB_LD) $(SHLIB_LD_FLAGS) -o $@ $(OBJS) $(SHLIB_LD_LIBS)
+	$(LN_S) shared/$@ ../libBLT$(SHLIB_SUFFIX)
 
 install: install_dirs install_lib install_demo
 
 install_demo: $(demo)
-	$(INSTALL) -m 0755 bltwish$(version) $(bindir)
+	$(INSTALL) -m 0755 bltwish$(version) $(instroot)$(bindir)
 
 install_lib: $(lib_so)
-	$(INSTALL) -m 0755 $(lib_so) $(libdir)
+	$(INSTALL) -m 0755 $(lib_so) $(instroot)$(libdir)
 
 install_dirs:
-	@for i in $(instdirs) ; do \
-	    if test ! -d $$i ; then \
-		echo " mkdir $$i" ; \
-		mkdir $$i ; \
+	@for i in $(instdirs) ; do \
+	    if test ! -d $(instroot)$$i ; then \
+		echo " mkdir $(instroot)$$i" ; \
+		mkdir -p $(instroot)$$i ; \
 	    fi ; \
         done
 
Only in blt2.4m/src/shared: Makefile.in.rej
